# QStyleHintReturn Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QStyleHintReturn(int version, int type)

### Constructor Properties

- prototype: The QStyleHintReturn prototype object
- SH_Default = 0xf000
- SH_Mask
- SH_Variant
- HintReturnType( value )
- Version = 1
- StyleOptionVersion( value )
- Type = SH_Default
- StyleOptionType( value )

### Instance Properties

QStyleHintReturn objects have no special properties beyond those inherited from the QStyleHintReturn prototype object.